Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JDBCMultiPoolMBean

public interface JDBCMultiPoolMBean
extends DeploymentMBean

This configuration management bean is use to defines a JDBC meta pool. A meta pool is simply

- list of associated connection pools
- the algorithm used to chose the pool returned to the caller.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`java.lang.String` | `getACLName()` get the ACL list for this meta pool
`JDBCConnectionPoolMBean[]` | `getPoolList()` retrieves the list of connection pools in the meta pool
`boolean` | `isHighAvail()` finds out whether high availability is used in this meta pool
`boolean` | `isLoadBalance()` finds out whether load balancing is used in this meta pool
`void` | `setACLName(java.lang.String newACLName)` sets the ACL list for this meta pool
`void` | `setHighAvail(boolean useHighAvail)` sets high availability for this meta pool
`void` | `setLoadBalance(boolean useLoadBalance)` sets load balancing for this meta pool
`void` | `setPoolList(JDBCConnectionPoolMBean[] thePoolList)` defines the connection pools in the meta pool

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getACLName

    public java.lang.String getACLName()

  get the ACL list for this meta pool

### setACLName

    public void setACLName(java.lang.String newACLName)
                    throws javax.management.InvalidAttributeValueException

  sets the ACL list for this meta pool

### getPoolList

    public JDBCConnectionPoolMBean[] getPoolList()

  retrieves the list of connection pools in the meta pool

### setPoolList

    public void setPoolList(JDBCConnectionPoolMBean[] thePoolList)
                     throws javax.management.InvalidAttributeValueException

  defines the connection pools in the meta pool

### setLoadBalance

    public void setLoadBalance(boolean useLoadBalance)
                        throws javax.management.InvalidAttributeValueException

  sets load balancing for this meta pool

### isLoadBalance

    public boolean isLoadBalance()

  finds out whether load balancing is used in this meta pool

### setHighAvail

    public void setHighAvail(boolean useHighAvail)
                      throws javax.management.InvalidAttributeValueException

  sets high availability for this meta pool

### isHighAvail

    public boolean isHighAvail()

  finds out whether high availability is used in this meta pool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD